Managed Service for Greenplum® API, REST: Cluster.ListSegmentHosts
Retrieves a list of segment hosts for the specified cluster.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-greenplum/v1/clusters/{clusterId}/segment-hosts
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the Greenplum® cluster. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"hosts": [
{
"name": "string",
"clusterId": "string",
"zoneId": "string",
"type": "string",
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"health": "string",
"subnetId": "string",
"assignPublicIp": "boolean"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
hosts[] |
Requested list of hosts for the cluster. |
|
nextPageToken |
string This token allows you to get the next page of results for list requests. |
Host
A Greenplum® cluster host resource.
|
Field |
Description |
|
name |
string Required field. Name of the Greenplum® host. The maximum string length in characters is 63. |
|
clusterId |
string ID of the Greenplum® cluster. The ID is assigned by the platform at creation time. |
|
zoneId |
string ID of the availability zone the Greenplum® host belongs to. |
|
type |
enum (Type) Type of the host. If the field has default value, it is not returned in the response.
|
|
resources |
Resources allocated to the Greenplum® host. |
|
health |
enum (Health) Aggregated health of the host. If the field has default value, it is not returned in the response.
|
|
subnetId |
string ID of the subnet that the host belongs to. |
|
assignPublicIp |
boolean Determines whether a public IP is assigned to the host. |
Resources
|
Field |
Description |
|
resourcePresetId |
string ID of the preset for computational resources allocated to a host. |
|
diskSize |
string (int64) Volume of the storage used by the host, in bytes. |
|
diskTypeId |
string Type of the storage used by the host: |